Subject: bug#19867: c++-mode indentation issues with C++1x initializer lists

From: Simon <[email-masked]>
Date: Tue, 17 Feb 2015 14:39:09 -0500

> In Emacs, we traditionally reserve severity > normal for failure to
> build, security issues etc. So I'll downgrade this to normal, but don't
> worry, because I have seen very little evidence that the severity makes
> any difference to whether something gets fixed. :), and :( too.

Sounds good.  Thank you Glenn.

I hope someone can look into this within a year or two.  Ideally,
before C++17 becomes a reality and swizzles the syntax further with
its "concepts lite" and other features.

I also noticed some more strange indentation cases with nested
constructor initialization lists.  I'll be available to test any
improvements made and provide more test cases if needed.  Thanks
again.